﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2146, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>


<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title></title>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.10.3/jquery-ui.min.js"></script>
    <script>
        function GroupedColumnsChanged(sender, eventArgs) {
            for (var i = 0; i < eventArgs.get_groupedColumns().get_length() ; i++) {
                var columnKey, columnHeader, content, newContent;

                columnKey = eventArgs.get_groupedColumns().getItem(i).get_columnKey();
                columnHeader = sender.get_columns().get_columnFromKey(columnKey).get_header().get_text();
                content = $('span[key=' + columnKey + ']').html();

                newContent = content.replace(columnKey, columnHeader);
                $('span[key=' + columnKey + ']').html(newContent);
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <div>
            <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1"
                runat="server" Height="100%" Width="100%" EnableViewState="true">
                <ClientEvents GroupedColumnsChanged="GroupedColumnsChanged" />
                <GroupingSettings EnableColumnGrouping="true"></GroupingSettings>
                <Behaviors>
                    <ig:RowSelectors Enabled="true" RowNumbering="true" EnableInheritance="true"></ig:RowSelectors>
                    <ig:ColumnMoving Enabled="true" EnableInheritance="true"></ig:ColumnMoving>
                    <ig:Paging Enabled="true" EnableInheritance="true" PagerMode="NumericFirstLast" PageSize="6"></ig:Paging>
                    <ig:Sorting Enabled="true" EnableInheritance="true" SortingMode="Single"></ig:Sorting>
                    <ig:Filtering Enabled="true" FilterType="ExcelStyleFilter"></ig:Filtering>
                    <ig:SummaryRow EmptyFooterText="" EnableInheritance="true">
                    </ig:SummaryRow>
                </Behaviors>

            </ig:WebHierarchicalDataGrid>
            <asp:Button ID="Button_A" runat="server" Text="Data A" OnClick="Button_A_Click" />
            <asp:Button ID="Button_B" runat="server" Text="Data B" OnClick="Button_B_Click" />
        </div>
    </form>
</body>
</html>
